using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace WhiteList
{
    /// <summary>
    /// Логика взаимодействия для ChangePriority.xaml
    /// </summary>
    public partial class ChangePriority : Window
    {
        List<Agent> _listAgents;
        int count; //сохранение числа из текст бокса
        public ChangePriority(List<Agent> list)
        {
            InitializeComponent();
            _listAgents = list;
            int max = 0;
            foreach(Agent a in list) //ищем максимальный приоритет
            {
                if(a.Priority>max)
                {
                    max = a.Priority;
                }
            }
            TextBoxNewPriority.Text = "" + max;
            count = max;
        }

        private void Save_Click(object sender, RoutedEventArgs e)
        {
            foreach(Agent a in _listAgents) //изменяем данные
            {
                a.Priority += count;
            }
            DB.dbCon.SaveChanges();
            Close();
            MessageBox.Show("Данные сохранены");
        }

        private void TextBoxNewPriority_TextChanged(object sender, TextChangedEventArgs e) //проверка на число в текстбоксе
        {
            try
            {
                if(TextBoxNewPriority.Text!="-"&& TextBoxNewPriority.Text!="")
                {
                    count = Convert.ToInt32(TextBoxNewPriority.Text);
                }
            }
            catch
            {
                TextBoxNewPriority.Text = "" + count;
                MessageBox.Show("Можно вводить только целое число");
            }
        }
    }
}
